package com.snaprv.proba.probasnaprv;

import android.content.Context;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.util.Log;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.github.rubensousa.gravitysnaphelper.GravitySnapHelper;

/**
 * Created by admin on 12/28/17.
 * Example LLC. All rights reserved!
 */
public class HorizontalRVAdapter extends RecyclerView.Adapter<HorizontalRVAdapter.SimpleHolder>
        implements GravitySnapHelper.SnapListener {

    private Context mContext;
    private LayoutInflater mInflatter;

    public HorizontalRVAdapter(Context context) {
        this.mContext = context;
        this.mInflatter = LayoutInflater.from(context);
    }

    @Override
    public SimpleHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        return new SimpleHolder(mInflatter.inflate(R.layout.horizontal_common_item, null, false));
    }

    @Override
    public void onBindViewHolder(SimpleHolder holder, int position) {

        holder.columnTV.setText("Horz item: " + position);

        holder.verticalRV.setLayoutManager(new LinearLayoutManager(mContext));
        holder.verticalRV.setOnFlingListener(null);
        holder.verticalRV.setNestedScrollingEnabled(true);

        new GravitySnapHelper(Gravity.START).attachToRecyclerView(holder.verticalRV);

        int itemsCount = 30;

        if (position == 1 || position == 2 || position == 5 || position == 7 || position == 8 || position == 9) {
            itemsCount = 0;
        }

        holder.verticalRV.setAdapter(new VerticalRVAdapter(mContext, itemsCount));
    }

    @Override
    public int getItemCount() {
        return 15;
    }

    @Override
    public int getItemViewType(int position) {
        return Gravity.START;
    }

    @Override
    public void onSnap(int position) {
        Log.d("Snapped: ", position + "");
    }

    protected class SimpleHolder extends RecyclerView.ViewHolder {
        TextView columnTV;
        RecyclerView verticalRV;

        public SimpleHolder(View itemView) {
            super(itemView);

            columnTV = itemView.findViewById(R.id.columnTV);
            verticalRV = itemView.findViewById(R.id.verticalRV);
            verticalRV.setOnTouchListener(new View.OnTouchListener() {
                @Override
                public boolean onTouch(View view, MotionEvent motionEvent) {
                    view.getParent().requestDisallowInterceptTouchEvent(true);
                    return false;
                }
            });
        }
    }
}
