package com.snaprv.proba.probasnaprv;

import android.content.Context;
import android.support.v7.widget.RecyclerView;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

/**
 * Created by admin on 12/28/17.
 * Example LLC. All rights reserved!
 */
public class VerticalRVAdapter extends RecyclerView.Adapter<VerticalRVAdapter.SimpleHolder> {

    private LayoutInflater mInflatter;
    private int itemsCount;

    public VerticalRVAdapter(Context context, int itemsCount) {
        this.itemsCount = itemsCount;
        this.mInflatter = LayoutInflater.from(context);
    }

    @Override
    public SimpleHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        return new SimpleHolder(mInflatter.inflate(R.layout.vertical_common_item, null, false));
    }

    @Override
    public void onBindViewHolder(SimpleHolder holder, int position) {
        holder.itemTV.setText("Vertical Item : " + position);
    }

    @Override
    public int getItemCount() {
        return itemsCount;
    }

    @Override
    public int getItemViewType(int position) {
        return Gravity.START;
    }

    protected class SimpleHolder extends RecyclerView.ViewHolder {
        TextView itemTV;

        public SimpleHolder(View itemView) {
            super(itemView);

            itemTV = itemView.findViewById(R.id.itemTV);
        }
    }
}
